> For the complete documentation index, see [llms.txt](https://docs.lenses.io/latest/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.lenses.io/latest/devx/6.2/deployment/configuration/agent/automation/schema-registries/aws-glue.md).

# AWS Glue

This page describes connection to AWS Glue.

{% hint style="success" %}
AWS Glue Schema Registry connection, depends on an [AWS connection](/latest/devx/6.2/deployment/configuration/agent/automation/aws.md).

Only one Schema Registry connection is allowed.

Name must be schema-registry.

See [JSON schema](/latest/devx/6.2/deployment/configuration/agent/overview.md#json-schema-support) for support.

```
sslKeystorePassword:
  value: "\${ENV_VAR_NAME}"
```

{% endhint %}

These are examples of provision Lenses with an AWS connection named `my-aws-connection` and an AWS Glue Schema Registry that references it.

{% hint style="info" %}
If you see a high volume of JMX traffic from Lenses to the MSK cluster set lenses.interval.metrics.refresh.broker in the **agent.conf**. See [JMX](/latest/devx/6.2/deployment/configuration/agent/automation/jmx-metrics.md#aws).
{% endhint %}

### **Using AWS Access Key**

```yaml
aws:
  - name: my-aws-connection
    tags: ["tag1"]
    version: 1      
    configuration:
      authMode: 
        value: Access Key
      accessKeyId: 
        value: my-access-key-id
      secretAccessKey: 
        value: my-secret-access-key
      region: 
        value: eu-west-1
      
glueSchemaRegistry:
  - name: schema-registry
    tags: ["tag1"]
    version: 1      
    configuration:
      authMode: 
        reference: my-aws-connection
      accessKeyId:
        reference: my-aws-connection
      secretAccessKey:
        reference: my-aws-connection
      glueRegistryArn:
        value: arn:aws:glue:[region]:[account-id]:registry/[name]
```

### **Using AWS Credentials Chain**

<pre class="language-yaml"><code class="lang-yaml">aws:
  - name: my-aws-connection
    version: 1
    tags: []
    configuration:
      region:
        value: eu-north-1
      authMode:
        value: "Credentials Chain"

<strong>glueSchemaRegistry:
</strong>  - name: schema-registry
    version: 1
    tags: []
    templateName: SchemaRegistry
    configuration:
      authMode:
        reference: my-aws-connection
      glueRegistryArn:
        value: arn:aws:glue:[region]:[account-id]:registry/[name]
</code></pre>

### **Using AWS Assume Role**

<pre class="language-yaml"><code class="lang-yaml">aws:
  - name: my-aws-connection
    version: 1
    tags: []
    configuration:
      region:
        value: eu-north-1
      authMode:
        value: "Assume Role"
      assumeRoleArn:
        value: arn:aws:iam::[account-id]:role/[name]
      assumeRoleSessionName:
        value: [session-name]

<strong>glueSchemaRegistry:
</strong>  - name: schema-registry
    version: 1
    tags: []
    templateName: SchemaRegistry
    configuration:
      authMode:
        reference: my-aws-connection
      assumeRoleArn:
        reference: my-aws-connection
      assumeRoleSessionName:
        reference: my-aws-connection
      glueRegistryArn:
        value: arn:aws:glue:[region]:[account-id]:registry/[name]
</code></pre>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.lenses.io/latest/devx/6.2/deployment/configuration/agent/automation/schema-registries/aws-glue.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
